GET api/RCPSettings
Gets RCP settings.
Request Information
URI Parameters
None.
Body Parameters
None.
Response Information
Resource Description
RCPSettingsModel| Name | Description | Type | Additional information |
|---|---|---|---|
| AccountId |
Account's unique identifier (Read only). |
globally unique identifier |
None. |
| EclClientAccountNumber |
ECL client account number. |
string |
None. |
| RcpInterfaceActive |
VDT transmission active. |
boolean |
None. |
| RcpStartDate |
Start date. |
date |
None. |
| RcpUsername |
Username. |
string |
None. |
| RcpVendorId |
Vendor ID. |
string |
None. |
| RcpPracticeId |
Practice ID. |
string |
None. |
| RcpRole |
Role. |
string |
None. |
| RcpProductKey |
Product key. |
string |
None. |
| RcpVdtInformationUrl |
VDT upload URL. |
string |
None. |
| RcpVdtBatchResponseUrl |
VDT batch response URL. |
string |
None. |
| RcpPublicKey |
Public key. |
string |
None. |
Response Formats
application/json, text/json
Sample:
{
"accountId": "f1ff6911-dadd-4515-a414-54abf240b404",
"eclClientAccountNumber": "sample string 2",
"rcpInterfaceActive": true,
"rcpStartDate": "2026-05-29T16:57:19.6017447+00:00",
"rcpUsername": "sample string 4",
"rcpVendorId": "sample string 5",
"rcpPracticeId": "sample string 6",
"rcpRole": "sample string 7",
"rcpProductKey": "sample string 8",
"rcpVdtInformationUrl": "sample string 9",
"rcpVdtBatchResponseUrl": "sample string 10",
"rcpPublicKey": "sample string 11"
}
application/xml, text/xml
Sample:
<RCPSettingsModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.RCPSettings"> <AccountId>f1ff6911-dadd-4515-a414-54abf240b404</AccountId> <EclClientAccountNumber>sample string 2</EclClientAccountNumber> <RcpInterfaceActive>true</RcpInterfaceActive> <RcpPracticeId>sample string 6</RcpPracticeId> <RcpProductKey>sample string 8</RcpProductKey> <RcpPublicKey>sample string 11</RcpPublicKey> <RcpRole>sample string 7</RcpRole> <RcpStartDate>2026-05-29T16:57:19.6017447+00:00</RcpStartDate> <RcpUsername>sample string 4</RcpUsername> <RcpVdtBatchResponseUrl>sample string 10</RcpVdtBatchResponseUrl> <RcpVdtInformationUrl>sample string 9</RcpVdtInformationUrl> <RcpVendorId>sample string 5</RcpVendorId> </RCPSettingsModel>